It is currently Thu Apr 15, 2021 7:25 am


The forum is READ ONLY. Please direct any future discussions to our Facebook page


 Page 1 of 1 [ 9 posts ] 
Author Message
 Post subject: Note Requirments for .21 Please Read
PostPosted: Mon Feb 23, 2004 1:06 pm 
Site Admin
Site Admin
User avatar

Joined: Wed Feb 19, 2003 12:17 pm
Posts: 2619
We have tested the game with and have found it to work well under these conditions:

Requirements:
PHP4.3.0 or higher (tested with 4.3.2)
MySQL (tested with 4.0.3 recommend 4.0.3 or higher)
ADODB (included 4.03)
Smarty (included 2.5)

If you are running an older version of Mysql, you will have problems relating to the decimal fields. Use at your own risk. However you may still be able to run by changing all decimal fields to floats or doubles, however we don't guarantee that to be the case.

The install detects some things, but does not detect everything so be careful if you are not using our recomended requirements.


Offline
 Profile  
 
 Post subject:
PostPosted: Mon Feb 23, 2004 1:34 pm 
Developer
Developer
User avatar

Joined: Wed Feb 19, 2003 6:07 pm
Posts: 2930
BTW, this information is included in the README file in the docs directory.

If you can't change the field type you can turn off dignitary support through the config editor in the admin area.

Just changing the field type or turning off dignitaries will not really fix the problem as other things in the game have this same requirement, spies for one.


Offline
 Profile  
 
 Post subject:
PostPosted: Tue Feb 24, 2004 8:36 am 
Site Admin
Site Admin
User avatar

Joined: Wed Feb 19, 2003 12:17 pm
Posts: 2619
Have you installed lib png as well?


Offline
 Profile  
 
 Post subject:
PostPosted: Tue Feb 24, 2004 3:18 pm 
Site Admin
Site Admin
User avatar

Joined: Wed Feb 19, 2003 12:17 pm
Posts: 2619
You have zlib installed?

There are all GD requirements so putting it in the readme for the game doesn't make a whole lot of sence. Please see the PHP site for how to install the GD Library.


Offline
 Profile  
 
 Post subject:
PostPosted: Tue Feb 24, 2004 5:50 pm 
Tarnus wrote:
You have zlib installed?

There are all GD requirements so putting it in the readme for the game doesn't make a whole lot of sence. Please see the PHP site for how to install the GD Library.


To put it mildly, thats being awfully nice to PHP and GD.

To be more accurate, its confusing as heck to get GD to do what you want. It depends on the version of GD - older versions do GIF, but not PNG. Newer versions do PNG, but not GIF. A middle version did BOTH!

Worse, some versions werent compatible with some versions of PHP.. to the point of causing hard to explain segfaults.

On top of those, the list of requirements for GD gets more complicated due to the fact that some distributions (Mandrake notably) has rather "unique" rpm's that dont always get linked correctly (in older versions, the latest version works pretty darned well). That can result in overlapping versions and possibly worse.

All in all, GD is a can of worms for an experienced *ix admin, and can be extremely frustrating for a new admin.

Honestly, the best place to start is the GD FAQ itself, which describes some - but not all - of these issues, and gives some good pointers on how to get it going for your version of PHP: http://www.boutell.com/gd/faq.html

Hope that helps..


  
 
 Post subject:
PostPosted: Tue Feb 24, 2004 9:59 pm 
Forum Roamer
Forum Roamer

Joined: Thu Jan 08, 2004 1:04 am
Posts: 58
FYI: I've installed latest GD (from source), latest libpng (with headers), freetype2 (with headers), zlib is installed (rpm), recompiled GD, recompiled PHP 4.3.1, recompiled apache to create new PHP .so file, copied new libphp4.so file over old one, restarted Apache, still seg faults when try to view 3D map.


BUT got 3Dmap to work when I did the following:
Edit the spiral2.php file in your AATRADE v.20 dir, search for "png" and replace with "jpeg" (2 occurances)


Offline
 Profile  
 
 Post subject:
PostPosted: Tue Feb 24, 2004 11:56 pm 
Site Admin
Site Admin
User avatar

Joined: Wed Feb 19, 2003 12:17 pm
Posts: 2619
SOundslike you were missing the jpg lib...yeah GD made me nuts installing it too. I had avoided it for years till PJ made me crazy to get it installed for the 3d galaxy map support :)


Offline
 Profile  
 
 Post subject:
PostPosted: Wed Feb 25, 2004 12:40 am 
Developer
Developer
User avatar

Joined: Wed Feb 19, 2003 6:07 pm
Posts: 2930
No je is missing the PNG library if the jpeg works and the png doesn't.


Offline
 Profile  
 
 Post subject:
PostPosted: Wed Mar 17, 2004 12:49 am 
Site Admin
Site Admin
User avatar

Joined: Wed Feb 19, 2003 12:17 pm
Posts: 2619
Assassin wrote:
Is there any chance that one of you could post links where one could DL all of these programs you speak of? I have about 0 experience with all of this, have very little idea what you are talking about, and am pretty clueless when it comes to the art of programming. But, I do have a spare computer that I plan on building as an experimental server that I want to learn this stuff on, I just don't really know where to start.

My friend who has an AAT server that he hosts for a few of his friends suggested I come here and build my own server and set it up to host AAT as a way to learn how to use php and whatever else you guys say I need. So, any advice, links on tutorials, and links on where to DL the software I need would be highly appreciated.

Last time I checked, he wasn't on crack, but I could be wrong :shock:

Thank you for your time.


Most everything is fairly easy to find.
Mysql is at [url]mysql.com[/url]
php is at [url]php.net[/url]
Apache is at [url]apache.org[/url]

Everything else is usually quite easy to locate with the handy dandy search engine known as google [url]google.com[/url]

Hope this helps ;)


Offline
 Profile  
 
Display posts from previous:  Sort by  
 Page 1 of 1 [ 9 posts ] 


Who is online

Users browsing this forum: No registered users and 4 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  

cron